## org.biojava.bio.seq
Class Feature.Template

    java.lang.Object
      |
      +--org.biojava.bio.seq.Feature.Template

Direct Known Subclasses:
  StrandedFeature.Template

Enclosing class:
  Feature

public static class Feature.Template
extends java.lang.Object
implements java.io.Serializable

Template class for a plain feature.

This just has fields for representing the properties of a basic Feature. Each sub-interface should provide a template class that inherits off this, and the constructor or factory methods should make a particular feature implementation from the template.

See Also:
  Serialized Form

Field Summary
`Annotation` `annotation`
`Location` `location`
`java.lang.String` `source`
`java.lang.String` `type`

Constructor Summary
`Feature.Template()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### location

    public Location location

### type

    public java.lang.String type

### source

    public java.lang.String source

### annotation

    public Annotation annotation

Constructor Detail

### Feature.Template

    public Feature.Template()